---
# tasks file for mediawiki/
- name: Create mediawiki root folder
  file:
    path: "{{mediawiki_root}}"
    state: directory
- name: Cleanup mediawiki root folder
  file:
    path: "{{mediawiki_root}}/*"
    state: absent
- name: Download mediawiki tar
  get_url:
    url: "https://releases.wikimedia.org/mediawiki/1.36/{{mediawiki_tar_name}}"
    dest: "{{mediawiki_root}}/{{mediawiki_tar_name}}"
    validate_certs: no
- name: Extract mediawiki tar
  unarchive:
    src: "{{mediawiki_root}}{{mediawiki_tar_name}}"
    dest: "{{mediawiki_root}}"

- name: Change mediawiki folder owner and group as apache and provide enough access
  file:
    name: "{{mediawiki_root}}/{{mediawiki_folder_name}}"
    owner: apache
    group: apache
    mode: 0755
- name: Create symlink to mediawiki
  file:
    src: "{{mediawiki_root}}{{mediawiki_folder_name}}"
    dest: "{{mediawiki_root}}{{mediawiki_link_name}}"
    state: link

- name: Change mediawiki link owner and group as apache and provide enough access
  file:
    name: "{{mediawiki_root}}/{{mediawiki_link_name}}"
    owner: apache
    group: apache
    mode: 0755

- name: Set correct selenux context for mediawiki
  shell: restorecon -FR "{{mediawiki_root}}{{mediawiki_folder_name}}"; restorecon -FR "{{mediawiki_root}}{{mediawiki_link_name}}"

